{% extends "base.html" %}

{% block content %}
    <h1>My Projects</h1>
    <p>
        <a href="{% url "create_project" %}">Create a new project</a>
    </p>
        {% if not list %}
            <p>You are not assigned to any projects</p>
        {% else %}
            <table>
                <tr>
                    <th>Name</th>
                    <th>Number of tasks</th>
                </tr>
                {% for project in list %}
                    <tr>
                        <th><a href="{% url "show_project" project.id %}">{{project.name}}</a></th>
                        <th>{{project.tasks.all|length}}</th>
                    </tr>
                {% endfor %}
            </table>
        {% endif %}
{% endblock content %}
